<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.alarm.alarmgroupuser.mapper.AlarmGroupUserMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="alarmGroupUserResultMap" type="org.springblade.alarm.alarmgroupuser.entity.AlarmGroupUser">
        <result column="id" property="id"/>
        <result column="create_user" property="createUser"/>
        <result column="create_dept" property="createDept"/>
        <result column="create_time" property="createTime"/>
        <result column="update_user" property="updateUser"/>
        <result column="update_time" property="updateTime"/>
        <result column="status" property="status"/>
        <result column="is_deleted" property="isDeleted"/>
        <result column="group_id" property="groupId"/>
        <result column="person" property="person"/>
        <result column="phone" property="phone"/>
        <result column="is_handler" property="isHandler"/>
        <result column="tenant_id" property="tenantId"/>
    </resultMap>


    <select id="selectAlarmGroupUserPage" resultMap="alarmGroupUserResultMap">
        select * from yc_alarm_group_user where is_deleted = 0
    </select>

    <select id="getByGroupIds" resultMap="alarmGroupUserResultMap" parameterType="list">
        select * from yc_alarm_group_user where is_deleted = 0
        <if test="list != null">
            and group_id in
            <foreach item="id" collection="list" separator="," open="(" close=")" index="">
                #{id}
            </foreach>
        </if>
    </select>

</mapper>
